#ifndef SCOUNTDLG_H
#define SCOUNTDLG_H

#include <QDialog>
#include <QTableWidget>
#include <QComboBox>
#include "stable.h"

class SCountDlg : public QDialog
{
    Q_OBJECT
public:
    SCountDlg();
    ~SCountDlg();
private slots:
    void run();
    void graph();
    void save();
private:
    QComboBox *m_pCombo;
    STable *m_pTable;    
    QString m_strGraph;
    double m_dTotal;    
    void setWidgets();
    void choose_1();
    void choose_2();
};

#endif // SCOUNTDLG_H
